package com.ruoyi.pay.domain.vo;

import java.util.Map;

public class ButieSummaryVo {
    /** 员工名称 */
    private String empName;

    /** 员工ID */
    private Long empId;

    /** 日期 */
    private String date;

    /** 补贴金额map */
    private Map<String, Object> butieMap;

    /** 是否可编辑 */
    private boolean edit;

    public Long getEmpId() {
        return empId;
    }

    public void setEmpId(Long empId) {
        this.empId = empId;
    }

    public boolean isEdit() {
        return edit;
    }

    public void setEdit(boolean edit) {
        this.edit = edit;
    }

    public String getEmpName() {
        return empName;
    }

    public void setEmpName(String empName) {
        this.empName = empName;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Map<String, Object> getButieMap() {
        return butieMap;
    }

    public void setButieMap(Map<String, Object> butieMap) {
        this.butieMap = butieMap;
    }

    @Override
    public String toString() {
        return "ButieSummaryVo{" +
            "empName='" + empName + '\'' +
            ", date='" + date + '\'' +
            ", butieMap=" + butieMap +
            ", edit=" + edit +
            '}';
    }
}
